<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: _enumeration Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>_enumeration Struct Reference</h1><!-- doxytag: class="_enumeration" -->
<p><code>#include &lt;<a class="el" href="types_8h_source.html">types.h</a>&gt;</code></p>

<p><a href="struct__enumeration-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__enumeration.html#a57e35419d63ab12898542ef58d8decac">ValidityDomain</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__evalue.html">evalue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__enumeration.html#aa499b062a10ce16356e9b52d25cae0d9">EP</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct__enumeration.html">_enumeration</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__enumeration.html#ad2fd42474e015c9abc6aea0e2bea08b8">next</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="types_8h_source.html#l00204">204</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa499b062a10ce16356e9b52d25cae0d9"></a><!-- doxytag: member="_enumeration::EP" ref="aa499b062a10ce16356e9b52d25cae0d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__evalue.html">evalue</a> <a class="el" href="struct__enumeration.html#aa499b062a10ce16356e9b52d25cae0d9">_enumeration::EP</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00207">207</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00690">Degenerate()</a>, <a class="el" href="homogenization_8c_source.html#l00172">dehomogenize_enumeration()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="ehrhart_8c_source.html#l02220">Enumeration_Free()</a>, <a class="el" href="ehrhart__lower__bound_8c_source.html#l00025">main()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, and <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>.</p>

</div>
</div>
<a class="anchor" id="ad2fd42474e015c9abc6aea0e2bea08b8"></a><!-- doxytag: member="_enumeration::next" ref="ad2fd42474e015c9abc6aea0e2bea08b8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct__enumeration.html">_enumeration</a>* <a class="el" href="struct__enumeration.html#ad2fd42474e015c9abc6aea0e2bea08b8">_enumeration::next</a><code> [read]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00208">208</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="homogenization_8c_source.html#l00172">dehomogenize_enumeration()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00668">DMUnion()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="ehrhart_8c_source.html#l02220">Enumeration_Free()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00658">IncludeInRes()</a>, <a class="el" href="ehrhart__lower__bound_8c_source.html#l00025">main()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00622">Remove_Element()</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00634">Remove_RedundantDomains()</a>.</p>

</div>
</div>
<a class="anchor" id="a57e35419d63ab12898542ef58d8decac"></a><!-- doxytag: member="_enumeration::ValidityDomain" ref="a57e35419d63ab12898542ef58d8decac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structpolyhedron.html">Polyhedron</a>* <a class="el" href="struct__enumeration.html#a57e35419d63ab12898542ef58d8decac">_enumeration::ValidityDomain</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00206">206</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="homogenization_8c_source.html#l00172">dehomogenize_enumeration()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00668">DMUnion()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="ehrhart_8c_source.html#l02220">Enumeration_Free()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00658">IncludeInRes()</a>, <a class="el" href="ehrhart__lower__bound_8c_source.html#l00025">main()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00634">Remove_RedundantDomains()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="types_8h_source.html">types.h</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
